AutoCAD .NET :: Retrieve Block And Its Position From DWG File
Jul 1, 2013
How can I retrieve a block from DWG file using Objectarx SDK.Lets say I have a cinema hall design with a lot of chairs and I am using a blcok named chair to design it. Now I want to retrive this blocks and their positions. Is it possible?
View 5 Replies
ADVERTISEMENT
May 15, 2013
Is there an easy way to ensure that the position of attributes on a block match the position on another block?
I just used the ATTIN command to upload a bunch of data to the block attributes on a drawing, and now the information is all over the place.
Instead of going through each one manually and repositioning the attributes (a VERY lengthy process), I want to use a "correct" version as a template of sorts to inform the other selected blocks of where to place the attributes and have it reposition the whole thing automatically.
Is this even possible?
View 6 Replies
View Related
Jun 10, 2013
Some months ago I created an iLogic code that creates all my notes that I use in my drawings, linked to a form. A good tool the made my work a little easy. Now I wanna make an update on it.
In my code I create a sketchedSymbol and then some textBoxes with my notes, but before that I erase all the Symbols in all sheets and then the main Symbol itself. Then I create again the symbol and textBox in a specific point of my Sheet. So, everytime that I need to update my Notes, it goes to that point of the sheet, it's not a problem, but it's annoying have to move them always to the correct place. And i can't use a specific final point for the notes because it may change according to the drawing.
So, my idea is:
If the Symbol is already created, how can I get its position ?
I create the points with TransientGemometry and then CreatePoint2D, but I dont know how to retrieve these points, even if that is possible.
The code I use is that below (I just erase the notes because it was too big, this is just the main code creating the stuffs).
' Set a reference to the drawing document. ' This assumes a drawing document is active. Dim oDrawDoc As DrawingDocument oDrawDoc = ThisApplication.ActiveDocument'Update the document oDrawDoc.Update'apaga o symbol existente em cada sheet Dim oSheets
[Code]....
View 7 Replies
View Related
Jun 4, 2013
Is there a simple way to retrieve the mouse position in the inventor window? I know about using mouse events but i don't want the position on click etc. just where it's at when i run my code.
View 9 Replies
View Related
Jul 12, 2013
Is it possible to setup a block so that an attribute position remaines fixed (absolute to drawing) when moving the block?
I've been playing around with creating a Coordinate Block by following these instructions: [URL] ........
What I would like is to be able to set the position of the Coordinate Label and Coordinate Object independently, so that if I move one in the drawing, it doesn't move the other. I've looked into Dynamic Blocks, and the "Lock Position" parameter. I can move the attribute independently, but still everytime I move the block, the attribute moves too.
Our company uses a custom Sheet/Coordinate system to follow flyoffs across a drawing, and I'm trying to learn how to automate the process. It's completely manually right now, so any changes to a drawing creates a lot of work renumbering these flyoffs.
View 4 Replies
View Related
Apr 6, 2013
I am trying to insert a dynamic block and position and stretch the block, using the linear parameters, depending on values entered into a form.
I managed to create a form that would draw a series of boxes. And i managed to create a routine that would insert a block and size it depending on fixed values but i can't link the 2 together.
Win 7 Pro 64bit, Dell Precision M6500
View 8 Replies
View Related
Sep 3, 2013
I have stored within an external database a handle of an entity within a drawing. If I have that drawing open and I retrieve that handle and then get the ObjectID from that Handle how do I convert that to a BlockReference so that I can then get position and attrribute values. I can get the position and attributes if I can just get the blockreference from the Object ID.
I am using the following code to get the ObjectID from the Handle:
Public Function ObjectIdFromHandle(db As Database, strHandle As String) As ObjectId Dim nHandle As Int32 = Int32.Parse(strHandle, Globalization.NumberStyles.AllowHexSpecifier) Dim handle As New Handle(nHandle) Dim ids(0) As ObjectId Try ids(0) = db.GetObjectId(False, handle, 0) Catch ex As Exception MsgBox(ex.Message.ToString, MsgBoxStyle.Exclamation, "Error in ObjectIDfromHandle") End Try Return ids(0) 'Return db.GetObjectId(False, handle, 0) End Function
I then want to use this ObjectID to get the BlockReference.
View 4 Replies
View Related
Aug 24, 2011
Here's my situation:
I have a block named "WIDGET-A". And in that block are (4) attribute tags whose names are:
"ID"
"TAG01"
"TAG02"
"TAG03"
The user will be prompted to pick the value displayed at any of the "TAG##" attributes - they will select the attribute tag they want (we don't know which one it is, we just want to assign that value of the attribute tag they clicked on to a variable called "VAR2".
Now, what we also want AutoCAD to evaluate, behind the scenes, is the value of the attribute tag named "ID" which we know always exists in the block and then assign that value to a variable called "VAR1".
Is there a way for AutoCAD to do this all from only a single user pick on top of an attribute value, in a block whose name isn't always going to be 'WIDGET-A' either.... But the block, whatever it's name, will always have the attribute tag "ID" with a value in it, and we always want to capture the value of whatever attribute tag within the block that the user clicked on.
View 2 Replies
View Related
Apr 16, 2013
how a multiview block will retrieve data from two different bunk space
View 2 Replies
View Related
Oct 30, 2012
is possible to retrieve the information of the reference in the iam file without open the file in session ? Opening with notepad the iam file, at the end of file, the references is contains in the planar text.
Is possible to retrieve documentation for this request ?
View 1 Replies
View Related
Nov 23, 2011
I've worked on a command that automatically imports a dwg into paperspace and positions it. I've just realized that when imported vertically, the titleblock is on the wrong side of the layout. I've imported it to (10,10,0) and would like to import to those exact opposite co-ordinates to essentially flip it but i'm a bit unclear as to how. I know that I can use the commands Database.PextMax and Database.PextMin to determine the max and min points of the primary layout, but what co-ordinates are these, are they the top right corner and bottom right corner.
For what it's worth, here's my routine:
string dwgName = HostApplicationServices.Current.FindFile(comp, acadApp.DocumentManager.MdiActiveDocument.Database, FindFileHint.Default);
Database db1 = new Database(false, false);
db1.ReadDwgFile(dwgName, System.IO.FileShare.Read, true, "");
ObjectId BlkId;
BlkId = doc.Database.Insert(dwgName, db1, false);
BlockTable bt = (BlockTable)tr.GetObject(doc.Database.BlockTableId, OpenMode.ForRead, true);
[code]....
View 9 Replies
View Related
Dec 18, 2012
I am trying to change the position of an AttributeDefinition in a block, but it nothing is changed:
foreach (ObjectId oidAttribute in btrBlock){ adOrg = taTransaction.GetObject(oidAttribute, OpenMode.ForRead) as AttributeDefinition; if (adOrg != null) { adOrg.UpgradeOpen(); adOrg.Position = new Point3d(0, 0, 0); // Break; break; } adOrg = null;}
...
Commit();
How do I change the position?
View 4 Replies
View Related
Jun 19, 2012
I have created a custom title block and border for one of the automotive manufacturers since I need to submit all their drawings in the standard border and title block format. The border is quite broad, so when I insert the new title block, it overlaps the border slightly. I need to try and find the setting to control the exact point at which the title block is positioned when inserted into a drawing.
Windows 7 Pro (X64)
Intel(R) core (TM) i7-2600 CPU @ 3.40GHz
16.0 GB RAM
Nvidia Quadro 600
Autodesk Inventor 2013 Professional Ultimate Design Suite
View 4 Replies
View Related
Feb 7, 2013
BlockTableRecord.Position gets the position of the block in its owner. So if it is a nested block, it gets the position inside the parent block.
I want to get the position of a nested block in the space (model or paper). One way of doing this is getting the location of that parent, and if the parent is also nested, get that position and so on...and then calculate the position of the nested block.
View 3 Replies
View Related
Aug 21, 2012
I am currently updating a title block and it will be wider than the original. This is going to cause me to move the block.
How do I get it constrained back into the lower right hand corner? I wouldnt think this would be this difficult of a thing to accomplish.
View 1 Replies
View Related
Mar 14, 2013
i'm looking to select a block reference, take it's wcs position, translate the coordinates to the current ucs and then create an xline using those translated coordinates. simple, right?
i simplified some code to test that i could properly build an xline in a current ucs. i just threw in static point3d values instead of grabbing them from another object. it worked as expected:
<CommandMethod("test")> _ Public Sub test() 'get the active document, editor and database Dim acDoc As Document = Application.DocumentManager.MdiActiveDocument Dim acDocEd As Editor = acDoc.Editor Dim acCurDb As Database = acDoc.Database 'start a transaction Using acTrans As Transaction = acCurDb.TransactionManager.StartTransaction() 'open the table for read Dim acBlkTbl As BlockTable acBlkTbl = acTrans.GetObject(acCurDb.BlockTableId, OpenMode.ForRead) 'open the record for write Dim acBlkTblRec As BlockTableRecord acBlkTblRec =
[code]...
here, i revised the code so that a block reference's objectid is passed from another procedure, the origin is determined, translated to the current ucs and the points are tailored for the xline's basepoint and secondpoint. i threw in a few writemessages to ensure that the coordinates were indeed what i was looking for and they match up, but for some reason, the xline now fails to create itself.
'define the current ucs Dim ucsDesign As Matrix3d = acDocEd.CurrentUserCoordinateSystem 'start a transaction Using acTrans As Transaction = acCurDb.TransactionManager.StartTransaction() 'open the connector block for read Dim acBlock As BlockReference = acTrans.GetObject(idConnector, OpenMode.ForRead) 'save connector origin Dim ptOrigin As Point3d = acBlock.Position 'translate the point to the current ucs Dim ptUcsOrigin As Point3d = ptOrigin.TransformBy(ucsDesign.Inverse) 'show me the block position acDocEd.WriteMessage(vbLf & ptOrigin.ToString()) acDocEd.WriteMessage(vbLf & ptUcsOrigin.ToString()) 'open the table for read Dim acBlkTbl As BlockTable acBlkTbl = acTrans.GetObject(acCurDb.BlockTableId, OpenMode.ForRead) 'open
[code]...
i've rearranged this code multiple times, tried a couple different approaches, scoured the forums and even resorted to the less-than-elegant:
'create the xline Dim cmdString As String = "._xline " & ptUcsOrigin.X & "," & ptUcsOrigin.Y & "," & ptUcsOrigin.Z & " " & ptUcsOrigin.X & "," & ptUcsOrigin.Y + 1.0 & "," & ptUcsOrigin.Z & " " acDoc.SendStringToExecute(cmdString, True, False, False)
but i need to use the xline object after i've created it, so this sendstringtoexecute crap won't work.
View 7 Replies
View Related
May 17, 2013
I am trying to align all of the text inside of a block and have it actually align the text instead of having it keep it original position (like when you use "Justifytext" command). For example: We use blocks for fire alarm devices that we insert into drawings. When the devices are inserted they look like this (Middle left):
15CD
TBD
TBD
1/4W
I can double click each line of these texts, have the eattedit window pop up, go to "text options" tab, click the drop down menu for "Justification:" and then choose my justification(middle right); then the text will actually move to align itself with my justification, causing my text to end up like this:
15CD
..TBD (Roughly like this, only perfectly straight vertically on the right hand side)
..TBD (ignore the dots, i had to insert them for the spacing to be correct for
1/4W this example)
When I type "Justifytext", select my block, choose my justification (Middle right), just the snap point moves to that justification without the text actually moving at all, causing my text to end up like this:
15CD
TBD
TBD
1/4W
View 9 Replies
View Related
May 31, 2013
I need to gather objects on a specivied layername within model_space in C#.
How do I add a fileter to my filtervalues to only grab model_space objects.
TypedValue
[] filterValues = new[] { newTypedValue((int)DxfCode.LayerName, LayerName.ToUpper()) };
[Code]....
View 9 Replies
View Related
Aug 30, 2012
How to retrieve the Status of attached Image file.
View 5 Replies
View Related
Nov 4, 2012
I'm looking for a way of retrieving command names defined in an arx/dbx file, and doing it from an external process (i.e. without loading the file into AutoCAD).Ditto for checking the Acad version the arx was compiled for.
View 9 Replies
View Related
Sep 5, 2013
how to retrive circular pattern holes dimesnions from the model. i can get other dimensions but struggling with holes.
View 2 Replies
View Related
Apr 2, 2012
I'm using ObjectARX in .net.
Is there a way to retrieve the pcg file path from a given PointCloud?
View 1 Replies
View Related
Jul 10, 2012
I made a simple block for a utility pole in plan view. It consisted of a donut with one string of mtext beside it. I had created it so that the text would orientate itself to be horizontal in each viewport regardless of the ucs angle. I later added a line for a guy wire and made the block dynamic with visibility states. Now I am unable to have the text orientate to a horizontal position in the viewports.
View 8 Replies
View Related
Oct 7, 2011
I would like to be able to retreive data from a sepcified cell, in a specified worksheet, from an excel file.
I don't have any clue how to connect to an excel file and read the data. Most seems to think you already had an understanding but I'm starting from the beginning.
View 5 Replies
View Related
Nov 10, 2011
Using (setq Filetab (vla-get-files (vla-get-preferences (vlax-get-acad-object))))(vlax-dump-object Filetab) returns most pathname as specified under Options. However, the Action Recorder path is missing. How do I retrieve this path?
View 1 Replies
View Related
Feb 24, 2013
The preview of the picture still appears when I select it in Photoshop, and even appears for a few seconds in Adobe Bridge before going back to black. But nothing I tried, from restore plug ins to online retrieve systems (that tried to bring back individual layers, only accounting to a single black layer and a bunch of blank ones) worked. I'd really like to get the picture back, or at least a png of it, but I'm at loss for what to try next. I use Cs5.1 64 bits.
View 3 Replies
View Related
Sep 23, 2012
Is it possible to retrieve the layers structure in a plain text file or in a CSV or in a TSV file from an XCF project ?
View 1 Replies
View Related
Oct 28, 2013
I have created a dynamic block with a stretch, flip and rotate. Everything works great in its file. When I insert it in another file, the grips move but the block does not change.
AutoCAD 2014
View 2 Replies
View Related
Apr 5, 2013
Create a routine that looks for a block based on a portion of that block name, using a specified path or search path.
For example, block to search for is BLOCKABC123, so if someone inputs ABC or 123 as a block name, it will locate that block within that folder and inserts it into the drawing at a user specified location.
Ideally, if there is a check in that if it finds more than one match, then perhaps it flags or prompts you to choose 1, 2, or 3 option which block to use. But I can live without this special function if it requires too much time to code.
View 8 Replies
View Related
Dec 5, 2012
i received a ascii file of position and elevation points (PNEZD) and do not see any where to import these points into AutoCAD 2011.
I know there exists survey products from autodesk, but still kind of wondering why there is no easy way to import points in the basic CAD program.
How to import a PNEZD file into AutoCAD 2011?
View 9 Replies
View Related
Jan 21, 2013
How to get postion of faces of part when place on idw drawing file???
Do we need to use (ThisApplication.MeasureTools.GetMinimumDistance(oTG.CreatePoint2d(0, 0), oFa.PointOnFace)?
If we use that we will get distance but how to get face postion on idw. do we need to use edges?? or lines?
View 2 Replies
View Related